<?php echo $header; ?>
	<ul class="breadcrumb">
		
	    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
	    <li><a class="active" href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
	    <?php } ?>
	<?php if ($error_warning) { ?>
	<script type="text/javascript">
		Messenger().post({
		  message: '<?php echo $error_warning; ?>',
		  hideAfter: 5, 
		  type: 'error'
		});
	</script> 
 	 <?php } ?>
	<?php if ($success) { ?>
	<script type="text/javascript">
		Messenger().post({
		  message: '<?php echo $success; ?>',
		  hideAfter: 3
		});
	</script> 
 	 <?php } ?>
	</ul>
	<br>
	<form action="<?php echo $delete; ?>" method="post" enctype="multipart/form-data" id="form">
		<input hidden id="page" value="<?php echo $page ?>">
		<input hidden id="sort" value="<?php echo $sort ?>">
		<input hidden id="order" value="<?php echo $order ?>">
		 <div class="row">
			<div class="col-md-12 width-catalog-product">
				<div class="grid simple ">
					<div class="grid-body no-border">
						<br>
					
						<button class="btn btn-primary btn-cons pull-left" type="button" onclick="location = '<?php echo $insert; ?>'" ><i class="fa fa-file-text-o fa-fw"></i> <?php echo $button_insert; ?></button>
						<button class="btn btn-info btn-cons pull-left" type="button" onclick="$('#form').attr('action', '<?php echo $copy; ?>'); $('#form').submit();" ><i class="fa fa-files-o fa-fw"></i> <?php echo $button_copy; ?></button>
						<button class="btn btn-danger btn-cons pull-left" type="button" onclick="$('#form').submit();" ><i class="fa fa-trash-o fa-fw"></i> <?php echo $button_delete; ?></button>

					 <table class="table table-hover no-more-tables list">
				          <thead>
				            <tr id="head">
				              <th style="width:1%">
									<div class="checkbox check-default">
										<input id="checkbox" class="checkall" type="checkbox" >
										<label for="checkbox"></label>
									</div>
				              </th>
							  <th class="text-center"></th>
				              <th class="text-center"></th>
				              <th class="text-left"><?php echo $column_category; ?></th>
				              <th class="text-left"><?php echo $column_manufacturer; ?></th>
				              <?php if ($sort == 'pd.name') { ?>
				              <th class="text-left <?php echo strtolower($order); ?>" >
				                <a href="<?php echo $sort_name; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_name; ?></a>
				              </th>
				              <?php } else { ?>
				              <th class="text-left">  
					               <a href="<?php echo $sort_name; ?>"><?php echo $column_name; ?></a>
		                      </th>
				              <?php } ?>
				              <?php if ($sort == 'p.model') { ?>
				              <th class="text-left <?php echo strtolower($order); ?>">
				                <a href="<?php echo $sort_model; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_model; ?></a>
				              </th>
				              <?php } else { ?>
				              <th class="text-left">
					                <a href="<?php echo $sort_model; ?>"><?php echo $column_model; ?></a>
				              </th>
				              <?php } ?>
				              <?php if ($sort == 'p.price') { ?>
				              <th class="text-left <?php echo strtolower($order); ?>">
				              	  <a href="<?php echo $sort_price; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_price; ?></a>
				              </th>
				              <?php } else { ?>
				              <th class="text-left">
				              		<a href="<?php echo $sort_price; ?>"><?php echo $column_price; ?></a>
				              </th>
				              <?php } ?>
				              <?php if ($sort == 'p.quantity') { ?>
				              <th class="text-center <?php echo strtolower($order); ?>">
				                <a href="<?php echo $sort_quantity; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_quantity; ?></a>
				              </th>
				              <?php } else { ?>
				              <th class="text-center">
					                <a href="<?php echo $sort_quantity; ?>"><?php echo $column_quantity; ?></a>
				              </th>
				                <?php } ?>
				              <?php if ($sort == 'p.status') { ?>
				              <th class="text-left <?php echo strtolower($order); ?>">
				                	<a href="<?php echo $sort_status; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_status; ?></a>
				               </th>
				                <?php } else { ?>
				               <th class="text-left">
					                <a href="<?php echo $sort_status; ?>"><?php echo $column_status; ?></a>
				               </th>
					                <?php } ?>
				            </tr>
				          </thead>
				          <tbody>
				            <tr class="filter">
				              <td></td>
				              <td><div class="btn btn-info btn-small pull-right" onclick="clear_filter();" ><?php echo $button_clear_filter; ?></div></td>
							  <td></td>
				              <td><select name="filter_category_id" style="width: 100px;">
				                  <option value="*"></option>
								  <option value="null">-</option>
								  <?php foreach($categories as $category) { ?>
									  <option value="<?php echo $category['category_id'] ?>" <?php if($filter_category_id == $category['category_id']) echo 'selected="selected"'; ?>><?php echo $category['name'] ?></option>
								  <?php }?>
						            </select>
							  </td>
										
						      <td><select name="filter_manufacturer_id" style="width: 100px;">
						                  <option value="*"></option>
						                  <option value="null">-</option>
								  <?php foreach($manufacturers as $manufacturer) { ?>
									  <option value="<?php echo $manufacturer['manufacturer_id'] ?>"<?php if($filter_manufacturer_id == $manufacturer['manufacturer_id']) echo 'selected="selected"'; ?>><?php echo $manufacturer['name'] ?></option>
								  <?php }?>
				
								  </select>
							  </td>
				              <td><input class="input-sm" type="text" name="filter_name" value="<?php echo $filter_name; ?>" /></td>
				              <td><input class="input-sm" type="text" name="filter_model" value="<?php echo $filter_model; ?>" /></td>
				              <td align="left"><input class="input-sm" type="text" name="filter_price" value="<?php echo $filter_price; ?>" size="8"/></td>
				              <td align="right"><input class="input-sm" type="text" name="filter_quantity" value="<?php echo $filter_quantity; ?>" size="8" style="text-align: right;" /></td>
				              <td><select name="filter_status">
				                  <option value="*"></option>
				                  <?php if ($filter_status) { ?>
				                  <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
				                  <?php } else { ?>
				                  <option value="1"><?php echo $text_enabled; ?></option>
				                  <?php } ?>
				                  <?php if (!is_null($filter_status) && !$filter_status) { ?>
				                  <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
				                  <?php } else { ?>
				                  <option value="0"><?php echo $text_disabled; ?></option>
				                  <?php } ?>
				                </select></td>
				              
				              	
				            </tr>
				            <?php if ($products) { ?>
				            <?php foreach ($products as $key => $product) { ?>
				            <tr>
				              <td style="width:1%">
				              	<div class="checkbox check-default">
				         	      <?php if ($product['selected']) { ?>
				        			<input class="checkall"  id="checkbox<?php echo $key; ?>" type="checkbox" name="selected[]" value="<?php echo $product['product_id']; ?>" checked="checked" />
				           	   	  <?php } else { ?>
				             		<input class="checkall" id="checkbox<?php echo $key; ?>" type="checkbox" name="selected[]" value="<?php echo $product['product_id']; ?>"  />
				              	  <?php } ?>
									<label for="checkbox<?php echo $key; ?>"></label>
								</div>
							  </td>
				              <td class="text-center td-nowrap">
								<?php foreach ($product['action'] as $action) { ?>
				                <a class="btn btn-success btn-small" href="<?php echo $action['href']; ?>"><?php echo $action['text']; ?></a>
				                <?php } ?></td>							  
				              <td class="text-center"><img src="<?php echo $product['image']; ?>" alt="<?php echo $product['name']; ?>" style="padding: 1px;" /></td>
				              <td class="text-left"><?php foreach ($product['category'] as $cat) echo $cat['name'] . '<br />'; ?></td>
				              <td class="text-left"><?php echo $product['manufacturer']; ?></td>
				              <td class="text-left  <?php if ($sort == 'pd.name') { echo 'sort';}?>"><?php echo $product['name']; ?></td>
				              <td class="text-left  <?php if ($sort == 'p.model') { echo 'sort';}?>"><?php echo $product['model']; ?></td>
				              <td class="text-left  <?php if ($sort == 'p.price') { echo 'sort';}?>"><?php if ($product['special']) { ?>
				                <span style="text-decoration: line-through;"><?php echo $product['price']; ?></span><br/>
				                <span style="color: #b00;"><?php echo $product['special']; ?></span>
				                <?php } else { ?>
				                <?php echo $product['price']; ?>
				                <?php } ?></td>
				              <td class="text-right  <?php if ($sort == 'p.quantity') { echo 'sort';}?>"><?php if ($product['quantity'] <= 0) { ?>
				                <span style="color: #FF0000;"><?php echo $product['quantity']; ?></span>
				                <?php } elseif ($product['quantity'] <= 5) { ?>
				                <span style="color: #FFA500;"><?php echo $product['quantity']; ?></span>
				                <?php } else { ?>
				                <span style="color: #008000;"><?php echo $product['quantity']; ?></span>
				                <?php } ?></td>
				              <td class="text-left  <?php if ($sort == 'p.status') { echo 'sort';}?>"><?php echo $product['status']; ?></td>
				            </tr>
				            <?php } ?>
				            <?php } else { ?>
				            <tr>
				              <td class="text-center" colspan="10"><?php echo $text_no_results; ?></td>
				            </tr>
				            <?php } ?>
				          </tbody>
				        </table>
				        <div class="row">
				        <div class="col-md-12">
							<div class="pagination db-table"><?php echo $pagination; ?></div>
						</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</form>
<script src="assets/plugins/bootstrap-select2/select2.min.js" type="text/javascript"></script>
<script type="text/javascript">	
$("select[name=filter_category_id]").select2({dropdownAutoWidth : true,width:'resolve'});
$("select[name=filter_manufacturer_id]").select2({dropdownAutoWidth : true,width:'resolve'});
$("select[name=filter_status]").select2({
	width:'100%',
	dropdownAutoWidth : true,
	minimumResultsForSearch: -1,
	});
//--></script> 
<script id="productTemplate" type="text/x-jquery-tmpl">
	<tr>
	    <td style="width:1%">
			<div class="checkbox check-default">
				<input class="checkall" id="checkbox${product_id}" type="checkbox" name="selected[]" value="${product_id}"  />
				<label for="checkbox${product_id}"></label>
			</div>
		</td>
        <td class="text-right  td-nowrap">
		{{each action}}
			<a class="btn btn-success btn-small" href="${href}">${text}</a>
        {{/each}}
	    </td>		
        <td class="text-center"><img src="${image}" alt="${name}" style="padding: 1px; border: 1px solid #DDDDDD;" /></td>
	    <td class="text-left">{{each(i, cat) category}}${cat['name']}<br/>{{/each}}</td>
	    <td class="text-left">${manufacturer}</td>
        <td class="text-left">${name}</td>
        <td class="text-left">${model}</td>
        <td class="text-left">{{if special}}
             <span style="text-decoration: line-through;">${price}</span><br/>
             <span style="color: #b00;">${special}</span>
             {{else}}
             ${price}
             {{/if}}
	    </td>
        <td class="text-right">
		      {{if quantity <= 5}}
			      {{if quantity <= 0}}
				      <span style="color: #FF0000;">${quantity}</span>
			      {{else}}
				      <span style="color: #FFA500;">${quantity}</span>
			      {{/if}}
		      {{else}}
			      <span style="color: #008000;">${quantity}</span>
		      {{/if}}
        </td>
        <td class="text-left">${status}</td>
    </tr>
</script>
<script type="text/javascript" src="assets/plugins/jquery-tmpl/jquery.tmpl.min.js"></script>
<script type="text/javascript"><!--
function filter() {
	url = 'index.php?route=catalog/product/filter&token=<?php echo $token; ?>';

	url += '&page=' + $('#page').val();

	if ($('#sort').val()) {
		url += '&sort=' + $('#sort').val();
	}
	if ($('#order').val()) {
		url += '&order=' + $('#order').val();
	}
	
	var filter_name = $('input[name=\'filter_name\']').attr('value');
	
	if (filter_name) {
		url += '&filter_name=' + encodeURIComponent(filter_name);
	}
	
	var filter_model = $('input[name=\'filter_model\']').attr('value');
	
	if (filter_model) {
		url += '&filter_model=' + encodeURIComponent(filter_model);
	}
	
	var filter_price = $('input[name=\'filter_price\']').attr('value');
	
	if (filter_price) {
		url += '&filter_price=' + encodeURIComponent(filter_price);
	}
	
	var filter_quantity = $('input[name=\'filter_quantity\']').attr('value');
	
	if (filter_quantity) {
		url += '&filter_quantity=' + encodeURIComponent(filter_quantity);
	}
	
	var filter_status = $('select[name=\'filter_status\']').attr('value');
	
	if (filter_status != '*') {
		url += '&filter_status=' + encodeURIComponent(filter_status);
	}	

	var category_id = $('select[name=\'filter_category_id\']').attr('value');
	
	if (category_id != '*') {
		url += '&filter_category_id=' + encodeURIComponent(category_id);
	}	

	var manufacturer_id = $('select[name=\'filter_manufacturer_id\']').attr('value');
	
	if (manufacturer_id != '*') {
		url += '&filter_manufacturer_id=' + encodeURIComponent(manufacturer_id);
	}	

	$.ajax({
		url: url,
		dataType: 'json',
		success : function(json) {
				  	var col = $('#head th').index($('#head  th.'+$('#order').val().toLowerCase()));
				  	
				  	$('table.list tr:gt(1)').empty();
				  	$("#productTemplate").tmpl(json.products).appendTo("table.list");
				  	$('.pagination').html(json.pagination);
				  	
					for (var i = 0, length = $('.list tr').length; i < length; i++) {
						$('.list tr').eq(i).find('td').eq(col).addClass('sort') ;  
					}
			  }
	});
}
//--></script> 
<script type="text/javascript"><!--

function gsUV(e, t, v) {
    var n = String(e).split("?");
    var r = "";
    if (n[1]) {
        var i = n[1].split("&");
        for (var s = 0; s <= i.length; s++) {
            if (i[s]) {
                var o = i[s].split("=");
                if (o[0] && o[0] == t) {
                    r = o[1];
                    if (v != undefined) {
                        i[s] = o[0] +'=' + v;
                    }
                    break;
                }
            }
        }
    }
    if (v != undefined) {
        return n[0] +'?'+ i.join('&');
    }
    return r;
}
$('#form input').keydown(function(e) {
	if (e.keyCode == 13) {
		$('#page').val(1);
		filter();
	}
});
$('#form input').bind("input", function() {
	if ($(this).val()=='') {
		$('#page').val(1);
		filter();
	}
});

$('#form select').bind("change", function() {
	$('#page').val(1);
	filter();
});

$('body').on("click", '.pagination .links a', function() {
	var page = gsUV($(this).attr('href'), 'page');
	$('#page').val(page);
	filter();
	return false;
});

$('body').on("click", '#head a', function() {
	var sort = gsUV($(this).attr('href'), 'sort');
	$('#sort').val(sort);
	var order = gsUV($(this).attr('href'), 'order');
	$('#order').val(order);
	$(this).attr('href', gsUV($(this).attr('href'), 'order', order=='DESC'?'ASC':'DESC'));
	$('#head a').removeAttr('class');
	$('#head th').removeClass('asc desc');
	this.className = order.toLowerCase();
	this.parentNode.classList.add(order.toLowerCase());
	filter();
	return false;
});
function clear_filter() {
	$("select[name=filter_category_id]").select2("val", "");
	$("select[name=filter_manufacturer_id]").select2("val", "");
	$("select[name=filter_status]").select2("val", "");
	$('tr.filter select option:selected').prop('selected', false);
	$('tr.filter input').val('');
	filter();
	return false;
}
//--></script> 
<script type="text/javascript"><!--
$('.filter input').autocomplete({
	delay: 500,
	source: function(request, response) {
	    filter();
	}
});

//--></script> 
<?php echo $footer; ?>